Link Task
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/links \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"target_type": "conversation",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/links"
payload = {
"target_type": "conversation",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_type: 'conversation', target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}Tasks
Link Task
Link a conversation, ticket, feedback, message or knowledge update request. Linking twice is a no-op.
POST
/
api
/
v1
/
tasks
/
{task_id}
/
links
Link Task
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/links \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"target_type": "conversation",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/links"
payload = {
"target_type": "conversation",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_type: 'conversation', target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tasks/{task_id}/links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"target_type": "<string>",
"target_id": "<string>",
"context": {
"conversation_id": "<string>",
"message_id": "<string>"
},
"deleted": true,
"admin_url": "<string>"
}Authorizations
Path Parameters
Task UUID or identifier such as TASK-12
Body
application/json
